Bug 637052 - ksh crashes
Summary: ksh crashes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ksh
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Michal Hlavinka
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On: 616853
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-24 06:47 UTC by Michal Hlavinka
Modified: 2011-05-19 13:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Assigning a value to an array variable during the execution of the "typeset" command could cause ksh to terminate unexpectedly with a segmentation fault. This update corrects the array handling in this command and ksh no longer crashes.
Clone Of: 616853
Environment:
Last Closed: 2011-05-19 13:50:15 UTC
Target Upstream Version:


Attachments (Terms of Use)
patch to fix this (818 bytes, patch)
2011-01-05 13:24 UTC, Michal Hlavinka
jskala: review+
Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0645 normal SHIPPED_LIVE ksh bug fix and enhancement update 2011-05-18 17:55:36 UTC

Comment 2 Michal Hlavinka 2011-01-05 13:24:01 UTC
Created attachment 471858 [details]
patch to fix this

Comment 5 Martin Prpič 2011-03-16 15:56:14 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Assigning a value to an array variable during the execution of the "typeset" command could cause ksh to terminate unexpectedly with a segmentation fault. This update corrects the array handling in this command and ksh no longer crashes.

Comment 6 errata-xmlrpc 2011-05-19 13:50:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0645.html


Note You need to log in before you can comment on or make changes to this bug.